Bug 56314 - Hard Disk Partition table is being erased by fdisk if Windows XP originally created it.
Hard Disk Partition table is being erased by fdisk if Windows XP originally c...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: util-linux (Show other bugs)
7.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Elliot Lee
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-15 09:54 EST by Sven Stratemann
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-28 13:19:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sven Stratemann 2001-11-15 09:54:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98)

Description of problem:
If Windows XP is installed on one Partition of the HD you cannot install 
Redhat on another, fdisk cannot read out the partitions. If you try it the 
partition table is going to be destroyed and your whole HD is unreadable.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install Win XP
2. Start Linux Installation
3. When you start fdisk you get a warning which must not be ignored!
4. If you ignore it, partitions are no more readable
	

Actual Results:  The system won't boot anymore, fdisk shows an empty 
harddisk.

Expected Results:  fdisk should show your partitions, if Windows 2000 is 
used it works.

Additional info:

Windows XP does not use the same coding of the partitiontable as Windows 
2000, even if it seems to.
Comment 1 Jeremy Katz 2002-06-04 02:40:35 EDT
fdisk is in util-linux, so this is a util-linux bug and not a lilo bug
Comment 2 Elliot Lee 2002-06-24 09:20:13 EDT
What is this warning?

Note You need to log in before you can comment on or make changes to this bug.